<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: EventBuilder Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">EventBuilder Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EventBuilder:</div>
<div class="dyncontent">
<div class="center"><img src="classEventBuilder__inherit__graph.png" border="0" usemap="#EventBuilder_inherit__map" alt="Inheritance graph"/></div>
<map name="EventBuilder_inherit__map" id="EventBuilder_inherit__map">
<area shape="rect" id="node15" href="classWIB.html" title="WIB" alt="" coords="615,259,663,285"/><area shape="rect" id="node2" href="classI2C__reg__master.html" title="work.I2C_reg_master(2)" alt="" coords="227,107,401,133"/><area shape="rect" id="node3" href="classDAQ__Link__EventBuilder.html" title="work.DAQ_Link_EventBuilder" alt="" coords="211,157,417,184"/><area shape="rect" id="node4" href="classCRCD64__RCE.html" title="work.CRCD64_RCE" alt="" coords="10,5,158,32"/><area shape="rect" id="node5" href="classCRCD64__FELIX.html" title="work.CRCD64_FELIX" alt="" coords="5,56,163,83"/><area shape="rect" id="node6" href="classGearbox.html" title="work.Gearbox" alt="" coords="29,107,139,133"/><area shape="rect" id="node7" href="classRCE__SPY__BUFFER.html" title="RCE_SPY_BUFFER" alt="" coords="10,157,158,184"/><area shape="rect" id="node8" href="classcounter.html" title="work.counter(2)" alt="" coords="24,208,144,235"/><area shape="rect" id="node9" href="classRCE__PCS.html" title="work.RCE_PCS" alt="" coords="254,259,374,285"/><area shape="rect" id="node10" href="enumencoder__8b10b.html" title="encoder_8b10b" alt="" coords="24,309,144,336"/><area shape="rect" id="node12" href="classFELIX__PCS.html" title="work.FELIX_PCS" alt="" coords="249,309,379,336"/><area shape="rect" id="node11" href="classRCE__LINK.html" title="RCE_LINK" alt="" coords="39,259,129,285"/><area shape="rect" id="node13" href="classFELIX__LINK.html" title="FELIX_LINK" alt="" coords="35,360,133,387"/><area shape="rect" id="node14" href="classFELIX__RX.html" title="FELIX_RX" alt="" coords="271,360,357,387"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classEventBuilder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classEventBuilder_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classEventBuilder.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adbf66be47e4db7c96a68b5207490642b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf66be47e4db7c96a68b5207490642b"></a>
<a class="el" href="classEventBuilder.html#adbf66be47e4db7c96a68b5207490642b">Convert_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classConvert__IO.html"> &lt;Convert_IO&gt;</a></td></tr>
<tr class="memitem:a1d5f255abab5ee2026654de5f7d76202"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d5f255abab5ee2026654de5f7d76202"></a>
<a class="el" href="classEventBuilder.html#a1d5f255abab5ee2026654de5f7d76202">EB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classEB__IO.html"> &lt;EB_IO&gt;</a></td></tr>
<tr class="memitem:a1a7369aeafa8e07dc7207d2a2d771b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7369aeafa8e07dc7207d2a2d771b47"></a>
<a class="el" href="classEventBuilder.html#a1a7369aeafa8e07dc7207d2a2d771b47">COLDATA_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCOLDATA__IO.html"> &lt;COLDATA_IO&gt;</a></td></tr>
<tr class="memitem:a3f50af30a812245a23dd8dca051a6af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f50af30a812245a23dd8dca051a6af5"></a>
<a class="el" href="classEventBuilder.html#a3f50af30a812245a23dd8dca051a6af5">WIB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__IO.html"> &lt;WIB_IO&gt;</a></td></tr>
<tr class="memitem:a8610a7f240b7527da75925f19529e446"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8610a7f240b7527da75925f19529e446"></a>
<a class="el" href="classEventBuilder.html#a8610a7f240b7527da75925f19529e446">CD_EB_BRIDGE</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCD__EB__BRIDGE.html"> &lt;CD_EB_BRIDGE&gt;</a></td></tr>
<tr class="memitem:af672e7932a42cea0518968b3232403d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af672e7932a42cea0518968b3232403d7"></a>
<a class="el" href="classEventBuilder.html#af672e7932a42cea0518968b3232403d7">WIB_constants</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classEventBuilder.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a03a64705034cbe613b5a196a6f487344"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03a64705034cbe613b5a196a6f487344"></a>
<a class="el" href="classEventBuilder.html#a03a64705034cbe613b5a196a6f487344">clk_sys</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a45f718bf4d9dbb8f3b36c91643a3e28e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45f718bf4d9dbb8f3b36c91643a3e28e"></a>
<a class="el" href="classEventBuilder.html#a45f718bf4d9dbb8f3b36c91643a3e28e">reset_sys</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2bb66e13d9194f5c3f5c2f6014e25ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2bb66e13d9194f5c3f5c2f6014e25ab"></a>
<a class="el" href="classEventBuilder.html#ac2bb66e13d9194f5c3f5c2f6014e25ab">reset_DAQ</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a884013c8c65bba7b59b18db7040ba57d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a884013c8c65bba7b59b18db7040ba57d"></a>
<a class="el" href="classEventBuilder.html#a884013c8c65bba7b59b18db7040ba57d">QSFP_Rx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a534d62120a8cbc5c440eb3e0c94a8aa3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a534d62120a8cbc5c440eb3e0c94a8aa3"></a>
<a class="el" href="classEventBuilder.html#a534d62120a8cbc5c440eb3e0c94a8aa3">clk_rx_ref</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a34e6e5e9acf043ed50f84a63302b762a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34e6e5e9acf043ed50f84a63302b762a"></a>
<a class="el" href="classEventBuilder.html#a34e6e5e9acf043ed50f84a63302b762a">clk_rx_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a413172b99059d593fe5490b751cf5646"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a413172b99059d593fe5490b751cf5646"></a>
<a class="el" href="classEventBuilder.html#a413172b99059d593fe5490b751cf5646">clk_ref</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59c2ed1f88353aa1435a2655cdfc672e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59c2ed1f88353aa1435a2655cdfc672e"></a>
<a class="el" href="classEventBuilder.html#a59c2ed1f88353aa1435a2655cdfc672e">QSFP_Tx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DAQ_LINK_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a19ff3e85f5fa2113bf8d00f99d75cf79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19ff3e85f5fa2113bf8d00f99d75cf79"></a>
<a class="el" href="classEventBuilder.html#a19ff3e85f5fa2113bf8d00f99d75cf79">QSFP_RST_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d904354121adf7c5c8742aff2af4ec8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d904354121adf7c5c8742aff2af4ec8"></a>
<a class="el" href="classEventBuilder.html#a5d904354121adf7c5c8742aff2af4ec8">QSFP_LOW_POWER_MODE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4b4c1486ca23e3187fb93241da0a0e4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4b4c1486ca23e3187fb93241da0a0e4c"></a>
<a class="el" href="classEventBuilder.html#a4b4c1486ca23e3187fb93241da0a0e4c">QSFP_INT_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af58c3d1ed9d7dc97a2d757caef39198a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af58c3d1ed9d7dc97a2d757caef39198a"></a>
<a class="el" href="classEventBuilder.html#af58c3d1ed9d7dc97a2d757caef39198a">QSFP_PRESENT_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a468b28e401bd5c4d9f1e923feaafe3ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a468b28e401bd5c4d9f1e923feaafe3ee"></a>
<a class="el" href="classEventBuilder.html#a468b28e401bd5c4d9f1e923feaafe3ee">QSFP_I2C_SEL_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac19b129be3b68a597434dc99c40f0fdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac19b129be3b68a597434dc99c40f0fdb"></a>
<a class="el" href="classEventBuilder.html#ac19b129be3b68a597434dc99c40f0fdb">QSFP_SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a56253e693dff3f5b7f75dc4aa691cd96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56253e693dff3f5b7f75dc4aa691cd96"></a>
<a class="el" href="classEventBuilder.html#a56253e693dff3f5b7f75dc4aa691cd96">QSFP_SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f8ea5a3ee55085468253ffc2c9bce05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f8ea5a3ee55085468253ffc2c9bce05"></a>
<a class="el" href="classEventBuilder.html#a4f8ea5a3ee55085468253ffc2c9bce05">DAQ_LINK_SI5342_LOL_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3187b2edbb0266d34d68c5cb1662a27f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3187b2edbb0266d34d68c5cb1662a27f"></a>
<a class="el" href="classEventBuilder.html#a3187b2edbb0266d34d68c5cb1662a27f">DAQ_LINK_SI5342_LOSXAXB_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a548a6b2de7328668266bf275690ac964"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a548a6b2de7328668266bf275690ac964"></a>
<a class="el" href="classEventBuilder.html#a548a6b2de7328668266bf275690ac964">DAQ_LINK_SI5342_LOS1_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a966aac8b8a6341e87ef1792bebe99fae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a966aac8b8a6341e87ef1792bebe99fae"></a>
<a class="el" href="classEventBuilder.html#a966aac8b8a6341e87ef1792bebe99fae">DAQ_LINK_SI5342_LOS2_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a09c65426f4883530888a6290f13015"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a09c65426f4883530888a6290f13015"></a>
<a class="el" href="classEventBuilder.html#a2a09c65426f4883530888a6290f13015">DAQ_LINK_SI5342_LOS3_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59ab8d3020cff4734b62e1c163dffca8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59ab8d3020cff4734b62e1c163dffca8"></a>
<a class="el" href="classEventBuilder.html#a59ab8d3020cff4734b62e1c163dffca8">DAQ_LINK_SI5342_OE_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a723a0d6f7676cf36b23c32af8a37d68a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a723a0d6f7676cf36b23c32af8a37d68a"></a>
<a class="el" href="classEventBuilder.html#a723a0d6f7676cf36b23c32af8a37d68a">DAQ_LINK_SI5342_RESET_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b4280f21208ea1e9f9249e50d32c1ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4280f21208ea1e9f9249e50d32c1ff"></a>
<a class="el" href="classEventBuilder.html#a0b4280f21208ea1e9f9249e50d32c1ff">DAQ_LINK_SI5342_INT_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9cd78b44c89cefe6e4c33ecb3c982ffa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cd78b44c89cefe6e4c33ecb3c982ffa"></a>
<a class="el" href="classEventBuilder.html#a9cd78b44c89cefe6e4c33ecb3c982ffa">DAQ_LINK_SI5342_SCL</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab111b82dc60fe96c589cc870353b837a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab111b82dc60fe96c589cc870353b837a"></a>
<a class="el" href="classEventBuilder.html#ab111b82dc60fe96c589cc870353b837a">DAQ_LINK_SI5342_SDA</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0be6cb7431276ed00870ae92a653d7ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0be6cb7431276ed00870ae92a653d7ad"></a>
<a class="el" href="classEventBuilder.html#a0be6cb7431276ed00870ae92a653d7ad">DAQ_LINK_SI5342_SEL0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6eda755da3b9868595b93b7d4306ec0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6eda755da3b9868595b93b7d4306ec0"></a>
<a class="el" href="classEventBuilder.html#aa6eda755da3b9868595b93b7d4306ec0">DAQ_LINK_SI5342_SEL1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed7e7d668140013cfbb0ef502647433b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7e7d668140013cfbb0ef502647433b"></a>
<a class="el" href="classEventBuilder.html#aed7e7d668140013cfbb0ef502647433b">WIB_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_ID_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63b013fd3fb50222475132b9ad926440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63b013fd3fb50222475132b9ad926440"></a>
<a class="el" href="classEventBuilder.html#a63b013fd3fb50222475132b9ad926440">convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35af839f22b99726870833a1f74d702b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35af839f22b99726870833a1f74d702b"></a>
<a class="el" href="classEventBuilder.html#a35af839f22b99726870833a1f74d702b">CD_stream</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">CD_stream_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa83795e58a3f620a2a7ed7b1f73a9c02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa83795e58a3f620a2a7ed7b1f73a9c02"></a>
<a class="el" href="classEventBuilder.html#aa83795e58a3f620a2a7ed7b1f73a9c02">Cd_read</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a063d522c9363f3e4985ded72eecef424"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a063d522c9363f3e4985ded72eecef424"></a>
<a class="el" href="classEventBuilder.html#a063d522c9363f3e4985ded72eecef424">clk_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9b7f9ffdf2a6a8f7de805248a803da2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b7f9ffdf2a6a8f7de805248a803da2a"></a>
<a class="el" href="classEventBuilder.html#a9b7f9ffdf2a6a8f7de805248a803da2a">clk_EVB_locked</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46d68a0c561318b16074a5c65a0e9e03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46d68a0c561318b16074a5c65a0e9e03"></a>
<a class="el" href="classEventBuilder.html#a46d68a0c561318b16074a5c65a0e9e03">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">EB_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3093034db1a6b9fddccd81f1c8bb2377"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3093034db1a6b9fddccd81f1c8bb2377"></a>
<a class="el" href="classEventBuilder.html#a3093034db1a6b9fddccd81f1c8bb2377">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">EB_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="EventBuilder_8vhd_source.html#l00014">14</a> of file <a class="el" href="EventBuilder_8vhd_source.html">EventBuilder.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/EventBuilder/<a class="el" href="EventBuilder_8vhd_source.html">EventBuilder.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
